Package com.documentum.fc.client

# Interface IDfContainment

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfContainment extends IDfPersistentObject
Provides the functionality to interact with dmr_containment objects in the repository.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COPY_COPY`
  `static final int`
  `COPY_REFERENCE`
  `static final int`
  `COPY_UNSPECIFIED`

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfId`
  `getComponentId()`
  Returns the chronicle ID of the component represented by the containment object.
  `int`
  `getCopyBehavior()`
  Returns the copy behavior defined for the component.
  `boolean`
  `getFollowAssembly()`
  Indicates assembly behavior when the component has an associated assembly.
  `double`
  `getOrderNumber()`
  Returns the position of the component among the components of the containing virtual document.
  `IDfId`
  `getParentId()`
  Returns the object ID of the containing virtual document.
  `boolean`
  `getUseNodeVerLabel()`
  Indicates whether the component's version label is used to resolve descendent late-bound components.
  `String`
  `getVersionLabel()`
  Returns the version label of the component represented by the containment object.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Field Details

  - ### COPY_UNSPECIFIED

    static final int COPY_UNSPECIFIED
    See Also:
      - Constant Field Values

  - ### COPY_REFERENCE

    static final int COPY_REFERENCE
    See Also:
      - Constant Field Values

  - ### COPY_COPY

    static final int COPY_COPY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getParentId

    IDfId getParentId() throws DfException
    Returns the object ID of the containing virtual document.

    A containment object represents a component in a virtual document. This method returns the object ID of the virtual document that contains the component represented by the containment object.

    For more information about containment objects, refer to Server Fundamentals.
    Returns:
      An IDfId object that contains the object ID of the containing document.
    Throws:
      `DfException` - if the server returns an error

  - ### getOrderNumber

    double getOrderNumber() throws DfException
    Returns the position of the component among the components of the containing virtual document.

    Each component of a virtual document has an order number. The number is typically assigned by the server. The order number indicates the component's position within its containing virtual document (the document returned by `getParentId()`).

    For more information about order numbers, refer to Server Fundamentals.
    Returns:
      The order number of the containment object's associated component.
    Throws:
      `DfException` - if the server returns an error

  - ### getComponentId

    IDfId getComponentId() throws DfException
    Returns the chronicle ID of the component represented by the containment object.

    An object's chronicle ID is the object ID of the first version of the object.

    For more information about containment objects or chronicle IDs, refer to Server Fundamentals.
    Returns:
      An IDfId object that contains the component's chronicle ID
    Throws:
      `DfException` - if the server returns an error

  - ### getVersionLabel

    String getVersionLabel() throws DfException
    Returns the version label of the component represented by the containment object.

    To identify the component, the server uses both the chronicle ID (stored in the component_id attribute) and a version label (stored in the r_version_label attribute). The chronicle ID identifies which version tree to search. The version label identifies which version to search for on the tree. To obtain the chronicle ID, use `getComponentId()`. To obtain the version label, use this method, `getVersionLabel`.
    Returns:
      The version label
    Throws:
      `DfException` - if the server returns an error

  - ### getCopyBehavior

    int getCopyBehavior() throws DfException
    Returns the copy behavior defined for the component.

    The copy behavior defined for a component determines how the component is handled when the containing virtual document is copied.

         Value                Meaning
         COPY_UNSPECIFIED     The user or application decides copy behavior
                              at runtime.
         COPY_REFERENCE       Reference the existing component document.
         COPY_COPY            Create a new copy of the component document.

    For more information about copy behavior, refer to Server Fundamentals.
    Returns:
      An integer indicating the copy behavior for this containment.
    Throws:
      `DfException`

  - ### getUseNodeVerLabel

    boolean getUseNodeVerLabel() throws DfException
    Indicates whether the component's version label is used to resolve descendent late-bound components.

    This method is only useful if the component is itself a virtual document. If the component is a virtual document and was early bound to its containing document, its version label can be used as the selection criterion for its late-bound descendents. Whether or not this occurs is determined by the use_node_ver_label attribute in the containment object. This method returns the value in that attribute.

    For more information about the use_node_ver_label attribute or early binding in virtual documents, refer to Server Fundamentals.
    Returns:
      `true` if the component's version label is used to resolve late-bound descendents; `false` if not
    Throws:
      `DfException`

  - ### getFollowAssembly

    boolean getFollowAssembly() throws DfException
    Indicates assembly behavior when the component has an associated assembly.

    This method is only useful if the component has an associated assembly. In such cases, when the component is added to its containing document, the user can set the follow_assembly attribute to `true`. This means that when the containing document is assembled, the server will select the component's descendants from the assembly and ignore the actual descendants.

    For more information about the follow_assembly attribute and the behavior it controls, refer to Server Fundamentals.
    Returns:
      `true` if the server will use the component's assembly to determine the component's descendants; `false` if it will use the actual descendants
    Throws:
      `DfException`